=== debian/changelog ===
golang-github-evanw-esbuild (0.14.11-1ubuntu0.1) jammy-security; urgency=medium

  * No change rebuild due to golang-1.18 update. Note that this package
    was built with golang-1.17.

 -- Allen Huang <allen.huang@canonical.com>  Mon, 18 Nov 2024 18:26:02 +0000

golang-github-evanw-esbuild (0.14.11-1) unstable; urgency=medium

  * New upstream version 0.14.11
  * Fix logic in debian/rules execute_after_dh_install-arch
    so that it is run only if $(NPM_DIR) is defined
  * Update esbuild(1) man page to 0.14.11

 -- Anthony Fok <foka@debian.org>  Thu, 13 Jan 2022 06:08:30 -0700

golang-github-evanw-esbuild (0.14.8-2) unstable; urgency=medium

  * Allow [armel hurd-i386 powerpc riscv64] to build without nodejs
    which is currently not built for these architectures
  * Add "Recommends: nodejs" to esbuild binary package.  This fixes Lintian
    "missing-dep-for-interpreter node (does not satisfy nodejs:any)" errors
  * Build nodejs files for s390x too as per upstream
  * Fix FTBFS errors on several architectures, and simplify override targets:
    - Append "-arch" to override_* and execute_after_* targets
      to unbreak golang-github-evanw-esbuild-dev
    - Check for existence of /usr/bin/node and skip overrides otherwise
    - Switch from DEB_TARGET_*ARCH to DEB_HOST_*ARCH
    - Instead of rebuilding esbuild (and failing), symlink /usr/bin/esbuild
      to /usr/lib/$(DEB_HOST_MULTIARCH)/nodejs/$(NPM_DIR)/bin/esbuild

 -- Anthony Fok <foka@debian.org>  Fri, 24 Dec 2021 07:50:05 -0700
