## golang-github-evanw-esbuild 0.14.25

=== Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 	@$(MAKE) --no-print-directory -j6 test-common test-deno ts-type-tests test-wasm-node test-wasm-browser lib-typecheck
 
 check-go-version:
-	@go version | grep ' go1\.17\.5 ' || (echo 'Please install Go version 1.17.5' && false)
+	@go version | grep ' go1\.17\.8 ' || (echo 'Please install Go version 1.17.8' && false)
 
 # Note: Don't add "-race" here by default. The Go race detector is currently
 # only supported on the following configurations:
@@ -206,51 +206,50 @@
 
 wasm-napi-exit0-darwin:
 	node -e 'console.log(`#include <unistd.h>\nvoid* napi_register_module_v1(void* a, void* b) { _exit(0); }`)' \
-		| clang -x c -dynamiclib -mmacosx-version-min=10.5 -o npm/esbuild-wasm/exit0/darwin-x64-LE.node -
-	ls -l npm/esbuild-wasm/exit0/darwin-x64-LE.node
+		| clang -x c -dynamiclib -mmacosx-version-min=10.5 -o lib/npm/exit0/darwin-x64-LE.node -
+	ls -l lib/npm/exit0/darwin-x64-LE.node
+
+wasm-napi-exit0-darwin-arm:
+	node -e 'console.log(`#include <unistd.h>\nvoid* napi_register_module_v1(void* a, void* b) { _exit(0); }`)' \
+		| clang -x c -dynamiclib -mmacosx-version-min=10.5 -o lib/npm/exit0/darwin-arm64-LE.node -
+	ls -l lib/npm/exit0/darwin-arm64-LE.node
 
 wasm-napi-exit0-linux:
 	node -e 'console.log(`#include <unistd.h>\nvoid* napi_register_module_v1(void* a, void* b) { _exit(0); }`)' \
-		| gcc -x c -shared -o npm/esbuild-wasm/exit0/linux-x64-LE.node -
-	strip npm/esbuild-wasm/exit0/linux-x64-LE.node
-	ls -l npm/esbuild-wasm/exit0/linux-x64-LE.node
+		| gcc -x c -shared -o lib/npm/exit0/linux-x64-LE.node -
+	strip lib/npm/exit0/linux-x64-LE.node
+	ls -l lib/npm/exit0/linux-x64-LE.node
+
+wasm-napi-exit0-linux-arm:
+	node -e 'console.log(`#include <unistd.h>\nvoid* napi_register_module_v1(void* a, void* b) { _exit(0); }`)' \
+		| gcc -x c -shared -o lib/npm/exit0/linux-arm64-LE.node -
+	strip lib/npm/exit0/linux-arm64-LE.node
+	ls -l lib/npm/exit0/linux-arm64-LE.node
 
 wasm-napi-exit0-windows:
 	# This isn't meant to be run directly but is a rough overview of the instructions
 	echo '__declspec(dllexport) void* napi_register_module_v1(void* a, void* b) { ExitProcess(0); }' > main.c
 	echo 'setlocal' > main.bat
 	echo 'call "C:\Program Files (x86)\Microsoft Visual Studio\2019\Community\VC\Auxiliary\Build\vcvarsall.bat" x64' >> main.bat
-	echo 'cl.exe /LD main.c /link /DLL /NODEFAULTLIB /NOENTRY kernel32.lib /OUT:npm/esbuild-wasm/exit0/win32-x64-LE.node' >> main.bat
+	echo 'cl.exe /LD main.c /link /DLL /NODEFAULTLIB /NOENTRY kernel32.lib /OUT:lib/npm/exit0/win32-x64-LE.node' >> main.bat
 	main.bat
 	rm -f main.*
 
 platform-all:
 	@$(MAKE) --no-print-directory -j4 \
-		platform-windows \
-		platform-windows-32 \
-		platform-windows-arm64 \
+		platform-android \
 		platform-android-arm64 \
 		platform-darwin \
 		platform-darwin-arm64 \
+		platform-deno \
 		platform-freebsd \
 		platform-freebsd-arm64 \
-		platform-netbsd \
-		platform-openbsd \
 		platform-linux \
 		platform-linux-32 \
 		platform-linux-arm \
 		platform-linux-arm64 \
 		platform-linux-mips64le \
 		platform-linux-ppc64le \
+		platform-linux-riscv64 \
 		platform-linux-s390x \
-		platform-sunos \
-		platform-wasm \
-		platform-neutral \
-		platform-deno
-
-platform-windows: cmd/esbuild/version.go
-	node scripts/esbuild.js npm/esbuild-windows-64/package.json --version
-	CGO_ENABLED=0 GOOS=windows GOARCH=amd64 go build $(GO_FLAGS) -o npm/esbuild-windows-64/esbuild.exe ./cmd/esbuild
-
-platform-windows-32: cmd/esbuild/version.go
-	node scripts/esbuild.js npm/esbuild-windows-32/package.json --version
+		platform-netbsd \
