=== debian/changelog ===
golang-github-evanw-esbuild (0.14.25-1) unstable; urgency=medium

  * New upstream version 0.14.25
  * Update esbuild(1) man page to 0.14.25

 -- Anthony Fok <foka@debian.org>  Sun, 20 Mar 2022 15:36:31 -0600

golang-github-evanw-esbuild (0.14.23-1) unstable; urgency=medium

  * New upstream version 0.14.23
  * Update esbuild(1) man page to 0.14.23

 -- Anthony Fok <foka@debian.org>  Sat, 19 Mar 2022 20:38:36 -0600
