## golang-github-evanw-esbuild 0.14.36

=== debian/changelog ===
golang-github-evanw-esbuild (0.14.36-1) unstable; urgency=medium

  * New upstream version 0.14.36 (Closes: #1010408)
  * Switch from Built-Using to Static-Built-Using in debian/control
  * Update esbuild(1) man page to 0.14.36

 -- Anthony Fok <foka@debian.org>  Sat, 04 Jun 2022 00:32:24 -0600
