## golang-github-evanw-esbuild 0.14.38

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # Avoid embedding the build path in the executable for more reproducible builds
 GO_FLAGS += -trimpath
 
-esbuild: cmd/esbuild/version.go cmd/esbuild/*.go pkg/*/*.go internal/*/*.go go.mod
+esbuild: version-go cmd/esbuild/*.go pkg/*/*.go internal/*/*.go go.mod
 	CGO_ENABLED=0 go build $(GO_FLAGS) ./cmd/esbuild
 
 test:
@@ -20,7 +20,7 @@
 	@$(MAKE) --no-print-directory -j6 test-common test-deno ts-type-tests test-wasm-node test-wasm-browser lib-typecheck
 
 check-go-version:
-	@go version | grep ' go1\.17\.8 ' || (echo 'Please install Go version 1.17.8' && false)
+	@go version | grep ' go1\.18 ' || (echo 'Please install Go version 1.18.0' && false)
 
 # Note: Don't add "-race" here by default. The Go race detector is currently
 # only supported on the following configurations:
@@ -67,23 +67,23 @@
 test-deno: esbuild platform-deno
 	ESBUILD_BINARY_PATH="$(shell pwd)/esbuild" deno test --allow-run --allow-env --allow-net --allow-read --allow-write --no-check scripts/deno-tests.js
 
-register-test: cmd/esbuild/version.go | scripts/node_modules
+register-test: version-go | scripts/node_modules
 	node scripts/esbuild.js npm/esbuild/package.json --version
 	node scripts/register-test.js
 
-verify-source-map: cmd/esbuild/version.go | scripts/node_modules
+verify-source-map: version-go | scripts/node_modules
 	node scripts/esbuild.js npm/esbuild/package.json --version
 	node scripts/verify-source-map.js
 
-end-to-end-tests: cmd/esbuild/version.go | scripts/node_modules
+end-to-end-tests: version-go | scripts/node_modules
 	node scripts/esbuild.js npm/esbuild/package.json --version
 	node scripts/end-to-end-tests.js
 
-js-api-tests: cmd/esbuild/version.go | scripts/node_modules
+js-api-tests: version-go | scripts/node_modules
 	node scripts/esbuild.js npm/esbuild/package.json --version
 	node scripts/js-api-tests.js
 
-plugin-tests: cmd/esbuild/version.go | scripts/node_modules
+plugin-tests: version-go | scripts/node_modules
 	node scripts/plugin-tests.js
 
 ts-type-tests: | scripts/node_modules
@@ -201,7 +201,18 @@
 	# Clean up
 	rm -fr e2e-yb
 
-cmd/esbuild/version.go: version.txt
+# Note: This used to only be rebuilt when "version.txt" was newer than
+# "cmd/esbuild/version.go", but that caused the publishing script to publish
+# invalid builds in the case when the publishing script failed once, the change
+# to "cmd/esbuild/version.go" was reverted, and then the publishing script was
+# run again, since in that case "cmd/esbuild/version.go" has a later mtime than
+# "version.txt" but is still outdated.
+#
+# To avoid this problem, we now always run this step regardless of mtime status.
+# This step still avoids writing to "cmd/esbuild/version.go" if it already has
+# the correct contents, so it won't unnecessarily invalidate anything that uses
+# "cmd/esbuild/version.go" as a dependency.
+version-go:
 	node scripts/esbuild.js --update-version-go
 
 wasm-napi-exit0-darwin:
@@ -230,26 +241,3 @@
 	# This isn't meant to be run directly but is a rough overview of the instructions
 	echo '__declspec(dllexport) void* napi_register_module_v1(void* a, void* b) { ExitProcess(0); }' > main.c
 	echo 'setlocal' > main.bat
-	echo 'call "C:\Program Files (x86)\Microsoft Visual Studio\2019\Community\VC\Auxiliary\Build\vcvarsall.bat" x64' >> main.bat
-	echo 'cl.exe /LD main.c /link /DLL /NODEFAULTLIB /NOENTRY kernel32.lib /OUT:lib/npm/exit0/win32-x64-LE.node' >> main.bat
-	main.bat
-	rm -f main.*
-
-platform-all:
-	@$(MAKE) --no-print-directory -j4 \
-		platform-android \
-		platform-android-arm64 \
-		platform-darwin \
-		platform-darwin-arm64 \
-		platform-deno \
-		platform-freebsd \
-		platform-freebsd-arm64 \
-		platform-linux \
-		platform-linux-32 \
-		platform-linux-arm \
-		platform-linux-arm64 \
-		platform-linux-mips64le \
-		platform-linux-ppc64le \
-		platform-linux-riscv64 \
-		platform-linux-s390x \
-		platform-netbsd \
