=== debian/changelog ===
golang-github-evanw-esbuild (0.14.38-1) unstable; urgency=medium

  * New upstream version 0.14.38
  * Update esbuild(1) man page to 0.14.38

 -- Anthony Fok <foka@debian.org>  Sun, 05 Jun 2022 04:41:29 -0600
