=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: golang-github-evanw-esbuild
 Section: golang
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Anthony Fok <foka@debian.org>
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
@@ -44,7 +43,7 @@
 Provides: node-esbuild (= ${binary:Version}) [!armel !hurd-i386 !powerpc !riscv64],
           node-esbuild-wasm (= ${binary:Version}) [!armel !hurd-i386 !powerpc !riscv64],
           ${nodejs:Provides}
-Built-Using: ${misc:Built-Using}
+Static-Built-Using: ${misc:Static-Built-Using}
 Description: extremely fast JavaScript bundler and minifier (program)
  esbuild is a JavaScript bundler and minifier.  It packages up
  JavaScript and TypeScript code for distribution on the web.
