=== debian/changelog ===
golang-github-evanw-esbuild (0.14.39-1) unstable; urgency=medium

  * New upstream version 0.14.39
  * Build nodejs files for riscv64 too as per upstream
  * Update esbuild(1) man page to 0.14.39

 -- Anthony Fok <foka@debian.org>  Tue, 07 Jun 2022 01:48:40 -0600
