=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
                golang-any (>= 2:1.13~),
                golang-golang-x-sys-dev (>= 0.0~git20210908.aa78b53),
                golang-src,
-Build-Depends-Arch: nodejs [!armel !hurd-i386 !powerpc !riscv64],
-                    npm [!armel !hurd-i386 !powerpc !riscv64],
+Build-Depends-Arch: nodejs [!armel !hurd-i386 !powerpc],
+                    npm [!armel !hurd-i386 !powerpc],
 Testsuite: autopkgtest-pkg-go
 Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-evanw-esbuild
@@ -39,9 +39,9 @@
 Section: javascript
 Depends: ${misc:Depends},
          ${shlibs:Depends}
-Recommends: nodejs [!armel !hurd-i386 !powerpc !riscv64]
-Provides: node-esbuild (= ${binary:Version}) [!armel !hurd-i386 !powerpc !riscv64],
-          node-esbuild-wasm (= ${binary:Version}) [!armel !hurd-i386 !powerpc !riscv64],
+Recommends: nodejs [!armel !hurd-i386 !powerpc]
+Provides: node-esbuild (= ${binary:Version}) [!armel !hurd-i386 !powerpc],
+          node-esbuild-wasm (= ${binary:Version}) [!armel !hurd-i386 !powerpc],
           ${nodejs:Provides}
 Static-Built-Using: ${misc:Static-Built-Using}
 Description: extremely fast JavaScript bundler and minifier (program)
