## golang-github-evanw-esbuild 0.14.42

=== Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 	@$(MAKE) --no-print-directory -j6 test-common test-deno ts-type-tests test-wasm-node test-wasm-browser lib-typecheck
 
 check-go-version:
-	@go version | grep ' go1\.18\.1 ' || (echo 'Please install Go version 1.18.1' && false)
+	@go version | grep ' go1\.18\.2 ' || (echo 'Please install Go version 1.18.2' && false)
 
 # Note: Don't add "-race" here by default. The Go race detector is currently
 # only supported on the following configurations:
