=== debian/changelog ===
golang-github-evanw-esbuild (0.14.42-1) unstable; urgency=medium

  * New upstream version 0.14.42
  * Update esbuild(1) man page to 0.14.42

 -- Anthony Fok <foka@debian.org>  Wed, 08 Jun 2022 02:34:34 -0600
