## golang-github-evanw-esbuild 0.14.43

=== debian/changelog ===
golang-github-evanw-esbuild (0.14.43-2) unstable; urgency=medium

  * Team upload.
  * Build wasm in GOPATH mode (Closes: #1013985)

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 17 Jul 2022 01:10:06 +0800

golang-github-evanw-esbuild (0.14.43-1) unstable; urgency=medium

  * New upstream version 0.14.43
  * Update esbuild(1) man page to 0.14.43
  * Bump Standards-Version to 4.6.1 (no change)

 -- Anthony Fok <foka@debian.org>  Thu, 23 Jun 2022 22:33:30 -0600
