=== debian/rules ===
--- 
+++ 
@@ -19,11 +19,12 @@
 
 ifneq ($(shell command -v node),)
 execute_after_dh_auto_build-arch:
-	ln -s _build/bin/esbuild .
+	ln -sf _build/bin/esbuild .
 	# Generate npm/esbuild/*
 	node scripts/esbuild.js ./esbuild --neutral
 	# Generate npm/esbuild-wasm/*
-	GOPATH=$(CURDIR)/_build GOCACHE=$(CURDIR)/_build/go-build \
+	# See also set_go_env sub in dh-golang
+	GOPATH=$(CURDIR)/_build GOCACHE=$(CURDIR)/_build/go-build GO111MODULE=off GOPROXY=off \
 	    node scripts/esbuild.js ./esbuild --wasm
 
 execute_after_dh_auto_test-arch:
