## golang-github-evanw-esbuild 0.15.5

=== Makefile ===
--- 
+++ 
@@ -17,10 +17,10 @@
 
 # These tests are for release (the extra tests are not included in "test" because they are pretty slow)
 test-all:
-	@$(MAKE) --no-print-directory -j6 test-common test-deno ts-type-tests test-wasm-node test-wasm-browser lib-typecheck
+	@$(MAKE) --no-print-directory -j6 test-common test-deno ts-type-tests test-wasm-node test-wasm-browser lib-typecheck test-yarnpnp
 
 check-go-version:
-	@go version | grep ' go1\.18\.2 ' || (echo 'Please install Go version 1.18.2' && false)
+	@go version | grep ' go1\.19 ' || (echo 'Please install Go version 1.19' && false)
 
 # Note: Don't add "-race" here by default. The Go race detector is currently
 # only supported on the following configurations:
@@ -201,6 +201,9 @@
 	# Clean up
 	rm -fr e2e-yb
 
+test-yarnpnp:
+	node scripts/test-yarnpnp.js
+
 # Note: This used to only be rebuilt when "version.txt" was newer than
 # "cmd/esbuild/version.go", but that caused the publishing script to publish
 # invalid builds in the case when the publishing script failed once, the change
