=== debian/changelog ===
golang-github-evanw-esbuild (0.15.5-1) unstable; urgency=medium

  * New upstream version 0.15.5
  * Bump dependency: golang-golang-x-sys-dev (>= 0.0~git20220715.c0bba94)
  * Install internal/resolver/testExpectations.json too
  * Update esbuild(1) man page to 0.15.5

 -- Anthony Fok <foka@debian.org>  Mon, 29 Aug 2022 14:40:17 -0600
