=== debian/changelog ===
golang-github-evanw-esbuild (0.15.9-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Anthony Fok <foka@debian.org>  Thu, 29 Sep 2022 01:27:25 -0600

golang-github-evanw-esbuild (0.15.9-1) unstable; urgency=medium

  * New upstream version 0.15.9
  * Update esbuild(1) man page to 0.15.9

 -- Anthony Fok <foka@debian.org>  Fri, 23 Sep 2022 13:29:00 -0600

golang-github-evanw-esbuild (0.15.7-1) unstable; urgency=medium

  * New upstream version 0.15.7
  * Update esbuild(1) man page to 0.15.7

 -- Anthony Fok <foka@debian.org>  Fri, 16 Sep 2022 13:43:17 -0600
