=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,10 @@
 #!/usr/bin/make -f
 
-export DH_GOLANG_INSTALL_EXTRA := internal/bundler/snapshots
+include /usr/share/dpkg/architecture.mk
+
+export DH_GOLANG_INSTALL_EXTRA := \
+	internal/bundler/snapshots \
+	internal/resolver/testExpectations.json
 
 export NPM_DIR := $(shell perl -e '\
   my %mapping = ( \
