=== debian/changelog ===
golang-github-evanw-esbuild (0.15.12-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Add missing ${misc:Built-Using} to Built-Using on esbuild.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 14 Dec 2022 01:58:49 +0000

golang-github-evanw-esbuild (0.15.12-1) unstable; urgency=medium

  * New upstream version 0.15.12
  * Update esbuild(1) man page to 0.15.12

 -- Anthony Fok <foka@debian.org>  Sat, 29 Oct 2022 03:22:48 -0600
