=== debian/control ===
--- 
+++ 
@@ -7,12 +7,12 @@
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang,
                golang-any (>= 2:1.13~),
-               golang-golang-x-sys-dev (>= 0.0~git20210908.aa78b53),
+               golang-golang-x-sys-dev (>= 0.0~git20220715.c0bba94),
                golang-src,
 Build-Depends-Arch: nodejs [!armel !hurd-i386 !powerpc],
                     npm [!armel !hurd-i386 !powerpc],
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-evanw-esbuild
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-evanw-esbuild.git
 Homepage: https://github.com/evanw/esbuild
@@ -21,7 +21,7 @@
 Package: golang-github-evanw-esbuild-dev
 Architecture: all
 Multi-Arch: foreign
-Depends: golang-golang-x-sys-dev (>= 0.0~git20210908.aa78b53),
+Depends: golang-golang-x-sys-dev (>= 0.0~git20220715.c0bba94),
          ${misc:Depends}
 Description: extremely fast JavaScript bundler and minifier (library)
  esbuild is a JavaScript bundler and minifier.  It packages up
@@ -44,6 +44,7 @@
           node-esbuild-wasm (= ${binary:Version}) [!armel !hurd-i386 !powerpc],
           ${nodejs:Provides}
 Static-Built-Using: ${misc:Static-Built-Using}
+Built-Using: ${misc:Built-Using}
 Description: extremely fast JavaScript bundler and minifier (program)
  esbuild is a JavaScript bundler and minifier.  It packages up
  JavaScript and TypeScript code for distribution on the web.
