## golang-github-evanw-esbuild 0.15.18

=== debian/changelog ===
golang-github-evanw-esbuild (0.15.18-1) unstable; urgency=medium

  * New upstream version 0.15.18
  * Update esbuild(1) man page to 0.15.18

 -- Anthony Fok <foka@debian.org>  Wed, 25 Jan 2023 12:02:48 -0700

golang-github-evanw-esbuild (0.15.14-1) unstable; urgency=medium

  * New upstream version 0.15.14
  * Update esbuild(1) man page to 0.15.14
  * Bump Standards-Version to 4.6.2 (no change)

 -- Anthony Fok <foka@debian.org>  Mon, 23 Jan 2023 07:58:23 -0700
